org.flexdock.docking.event

## Interface DockingMonitor

- All Known Subinterfaces:
    Dockable, DockingPort
  All Known Implementing Classes:
    AbstractDockable, DefaultDockingPort, DockableComponentWrapper, FloatingDockingPort, View, Viewport

      public interface DockingMonitor

  Author:
    Christopher Butler

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDockingListener(DockingListener listener)`
    `DockingListener[]` | `getDockingListeners()`
    `void` | `removeDockingListener(DockingListener listener)`

- - ### Method Detail

    - #### addDockingListener

          void addDockingListener(DockingListener listener)

    - #### removeDockingListener

          void removeDockingListener(DockingListener listener)

    - #### getDockingListeners

          DockingListener[] getDockingListeners()